## org.apache.fop.extensions
Class Label

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.extensions.ExtensionObj
                        |
                        +--org.apache.fop.extensions.Label

public class Label
extends ExtensionObj

Inner Class Summary
`static class` `Label.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`Label(FObj parent, PropertyList propertyList)`

Method Summary
`protected void` `addCharacters(char[] data, int start, int end)` adds characters (does nothing here)
`static FObj.Maker` `maker()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.fop.extensions.ExtensionObj
`format, layout`

Methods inherited from class org.apache.fop.fo.FObj
`end, generatesReferenceAreas, getContentWidth, getName, getProperty, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Label

    public Label(FObj parent,
                 PropertyList propertyList)

Method Detail

### maker

    public static FObj.Maker maker()

### addCharacters

    protected void addCharacters(char[] data,
                                 int start,
                                 int end)

  Description copied from class: FObj
  adds characters (does nothing here)
  Overrides:
    addCharacters in class FObj
  Tags copied from class: FObj
  Parameters:
    `data` - text
    `start` - start position
    `length` - length of the text

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.